Skip to main content
POST
/
{apiVersion}
/
{apiProvince}
/
webhooks
Create a subscription
curl --request POST \
  --url https://api.getbuildify.com/{apiVersion}/{apiProvince}/webhooks \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "env": "test",
  "targetUrl": "<string>",
  "event": "<string>"
}
'
import requests

url = "https://api.getbuildify.com/{apiVersion}/{apiProvince}/webhooks"

payload = {
"env": "test",
"targetUrl": "<string>",
"event": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({env: 'test', targetUrl: '<string>', event: '<string>'})
};

fetch('https://api.getbuildify.com/{apiVersion}/{apiProvince}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"{}"
"{}"

Authorizations

x-api-key
string
header
required

Path Parameters

apiVersion
enum<string>
required
Available options:
v1-sandbox,
v1-lite,
v1
apiProvince
enum<string>
default:on
required
Available options:
all,
on,
bc,
ab,
mb,
nb,
nl,
ns,
pe,
qc,
sk

Body

application/json
env
string
default:test
required

Either test or live

targetUrl
string
required

Valid https url

event
string
required

Only possible values are: LISTINGS.CREATED, LISTING.UPDATED, LISTING.DELETED, PROFILE.CREATED, PROFILE.UPDATED, PROFILE.DELETED

Response

200

The response is of type object.